GNU bug report logs - #25702
26.0.50; `message-make-fqdn' break when `(system-name)' doesn't ends in `.local'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Rasmus <rasmus@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 25702 <at> debbugs.gnu.org and Rasmus <rasmus@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 25702 <at> debbugs.gnu.org:


Received: (at 25702) by debbugs.gnu.org; 13 May 2019 21:14:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 13 17:14:29 2019
Received: from localhost ([127.0.0.1]:46510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hQIHE-0003Mz-Qi
	for submit <at> debbugs.gnu.org; Mon, 13 May 2019 17:14:29 -0400
Received: from quimby.gnus.org ([80.91.231.51]:46348)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hQIHD-0003Mr-05
 for 25702 <at> debbugs.gnu.org; Mon, 13 May 2019 17:14:27 -0400
Received: from [12.41.144.226] (helo=sandy)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1hQIH9-0001hg-FH; Mon, 13 May 2019 23:14:26 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Rasmus <rasmus@HIDDEN>
Subject: Re: bug#25702: 26.0.50;
 `message-make-fqdn' break when `(system-name)' doesn't ends in
 `.local'
References: <877f4updp4.fsf@HIDDEN>
Date: Mon, 13 May 2019 17:14:21 -0400
In-Reply-To: <877f4updp4.fsf@HIDDEN> (rasmus@HIDDEN's message of "Mon, 13 Feb
 2017 11:49:59 +0100")
Message-ID: <87woiuoy4y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Rasmus <rasmus@HIDDEN> writes: > The combination of
 3485c1693ef
 (see #24570) and maybe the removal of > `message-valid-fqdn-regexp' means
 that `message-make-fqdn' has broken for > me. > > My (system-name) is the
 model number of the [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 25702
Cc: 25702 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Rasmus <rasmus@HIDDEN> writes:

> The combination of 3485c1693ef (see #24570) and maybe the removal of
> `message-valid-fqdn-regexp' means that `message-make-fqdn' has broken for
> me.
>
> My (system-name) is the model number of the machine I use (e.g. "X200s").
> So now it's selected as the fdqn via `message-make-fqdn':
>
>     ((not (string-match message-bogus-system-names sysname))
>           ;; `system-name' returned the right result.
>           sysname)
>
> Thus, MESSAGE-ID are something@X200s, which is a bogus address.

I think this has been fixed in Emacs in 2017.  The code is now:

     ;; A system name without any dots is unlikely to be a good fully
     ;; qualified domain name.
     ((and (string-match "[.]" sysname)
	   (not (string-match message-bogus-system-names sysname)))
      ;; `system-name' returned the right result.
      sysname)

So it won't use sysname if there's no dot.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25702; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Feb 2017 10:50:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 13 05:50:51 2017
Received: from localhost ([127.0.0.1]:37868 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cdEDb-0002tI-Gh
	for submit <at> debbugs.gnu.org; Mon, 13 Feb 2017 05:50:51 -0500
Received: from eggs.gnu.org ([208.118.235.92]:43749)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rasmus@HIDDEN>) id 1cdEDZ-0002t5-Q8
 for submit <at> debbugs.gnu.org; Mon, 13 Feb 2017 05:50:50 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rasmus@HIDDEN>) id 1cdEDT-00080j-MK
 for submit <at> debbugs.gnu.org; Mon, 13 Feb 2017 05:50:44 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40886)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rasmus@HIDDEN>) id 1cdEDT-00080f-JD
 for submit <at> debbugs.gnu.org; Mon, 13 Feb 2017 05:50:43 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34716)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rasmus@HIDDEN>) id 1cdEDS-0002uD-7h
 for bug-gnu-emacs@HIDDEN; Mon, 13 Feb 2017 05:50:43 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rasmus@HIDDEN>) id 1cdEDP-00080G-1h
 for bug-gnu-emacs@HIDDEN; Mon, 13 Feb 2017 05:50:42 -0500
Received: from mout.gmx.net ([212.227.15.19]:52337)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <rasmus@HIDDEN>) id 1cdEDO-000807-NU
 for bug-gnu-emacs@HIDDEN; Mon, 13 Feb 2017 05:50:38 -0500
Received: from W530 ([77.178.188.54]) by mail.gmx.com (mrgmx001
 [212.227.17.184]) with ESMTPSA (Nemesis) id 0MhQxO-1czrOo0LSs-00McCM for
 <bug-gnu-emacs@HIDDEN>; Mon, 13 Feb 2017 11:50:36 +0100
From: Rasmus <rasmus@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.0.50;
 `message-make-fqdn' break when `(system-name)' doesn't ends in
 `.local'
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAHlBMVEUKFRJUbVlfi3YgQT2n
 0Kvg/N5UophZjX8kV1c+lpjySPhsAAAACXBIWXMAAABIAAAASABGyWs+AAAB8ElEQVQ4y9VTwY7T
 QAydrDn02KiL6HGpirhOsJDCbQvJnV0yd5C6WfXIgWY50h5wj0ioyvwtz56kSKU/gKWm4/dsP4+d
 OJcsX8zcJbuuQ3N7Ac+qEELjLyQEtdt/amaVZoQGxzf4//CXgIQSU5fVoarDqWa2hMBVCDeoeeOy
 cDcS+bKaOvc23GXhHu7zZiSK5Urzwv2z8BGHK6QNxML06qZOUBivVFyb/4AGpkaMfRW5+d9CnYh6
 JLJEvEKnn9VtVgNBmRHr9UP4pOInwuU5HpN4bNtKB1TlY0aR47ISY9z8XumApgPumNmxxAOoummq
 RSK8Z+eZWHrgcV1V73MbFrH35JlLLRVju26/mARAoAlHqePm2L5MG2HgxCwHI2IfN33COcUroSbv
 NlKwV4KoBA6il74X5gMcnyqh0Mk0ez4DQcTWEmyvP+iV/dx73MAnDWBS7nH2/FMgohpDAiuc8r1e
 kU38IHuSJKgPI7T2D/RDqXUjCPgEeNdGsTg/kKzDkvm2fezF69C0y0SQ80W3ffwVD1KqJKVSrBfZ
 da93Ty++d0+mmGbK9pLIbJdLuYW+rUGTSjsJz2WWdd1XqGMQRNiPI0+8Rwx5vXZaqbWLALg8rMZW
 qo2hJ6cEpdDh5RiAyfm3h1iDsnOCxsxz3P2H9gdT4qxCIzJxIQAAACV0RVh0ZGF0ZTpjcmVhdGUA
 MjAxMS0wNy0yMVQxNzoyNDo1NSswMjowMFwRps8AAAAldEVYdGRhdGU6bW9kaWZ5ADIwMTEtMDct
 MjFUMTc6MjQ6NTUrMDI6MDAtTB5zAAAAAElFTkSuQmCC
Date: Mon, 13 Feb 2017 11:49:59 +0100
Message-ID: <877f4updp4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:ttikSH8HSfcE6FAH0BRmQjtOJb1RagVM1apjHLcy8ga/9pC+p/G
 zsoSDkg4SgEeY+F28kCMVzL/TUPTjnkbk4AL9aI3SFz2xfgnC4L23NYwO0yotp09wDX6PSa
 nTIq7cTXh+OybmEU2TWYSKTb6eQSKK05s+0YYHF1UMFXvar6pze3RrImGX8bd7gqQUSNMJ/
 aa/fLwcmBdWR/Bk3SrzyA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:wTUcxeG6Wt4=:I2YV9m0r9ZsNmiiJQdDKTJ
 NlR0QFguY59DM+gUG88HX8ZJ4puI2VASrcSy11q+COgcopnpElsxGzGNDnAFO5EDHuOIp1DLE
 KZUjc8APVBm+/FWJ6sd99KYlHiQWYYtp4pTy5zBXN2SyO6OIhbWA6KdiqUgnhJsCIMuG4bjuf
 KN+TvooapPxmFPnxaIx53VlY5qcpl/u2pE/bDZwk4F4lnLFLsYQTITAshaE5ZQ5odRYRwe7Qp
 DQX29giOvmeoIOuO18OM1QB680oUkCnKyhIcM2HemKMpOfQiDdPcuQnTzWIVMGB7DoexTCcV5
 yzIw8XFNXSTtkSrVcTy/kjbj1PMiOeb9Zwy+yPcDgRUx1OTqCl2NA3DfuJr0xFepd53gbIWh5
 Jm1FnBvAl2n93EOMXkFkc+SVkyiS2o53A0c/1rm+9//XZjYN9aGz4He7+9QKEQ31OhQMB+kNl
 Z1+QXV71MFQSQcuwZab7oHylfkfnD/QAah6cGj3lZTVlaZ+hUg3B1m78FlzWBZJ/lZ9N8byvH
 AXsxZf2Q9Y75CuezQ4tkTKKzalcHbtvgT2HSIFD3wk21se5CiJ82tBnBkBOwpr7wzK/JDXKA5
 27++H9Fo+HA/hhlpOSEoBWbAitk0Sf6yNHvBufkkTeCZwP8Dguw63ptloWHd1biYlf7y/iGm4
 MGWhQ/PUSoJ7QNoSRry6Yi75uduSpFMYxHp/u7nLfFe4350OSC0SYkV1oTOrN3TEx9o9xrMvn
 p38GvDtOEIro5JIQEkp8Yh6171O+pTbFn71m26dn15Hjam8jXEJXHIvX/jV5PSjr07vqNgjmw
 jQpijHz
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

Hi,

The combination of 3485c1693ef (see #24570) and maybe the removal of
`message-valid-fqdn-regexp' means that `message-make-fqdn' has broken for
me.

My (system-name) is the model number of the machine I use (e.g. "X200s").
So now it's selected as the fdqn via `message-make-fqdn':

    ((not (string-match message-bogus-system-names sysname))
          ;; `system-name' returned the right result.
          sysname)

Thus, MESSAGE-ID are something@X200s, which is a bogus address.

For now I can add laptops model number to `message-bogus-system-names' but
that seems wrong.  Shouldn't user-domain be preferred over the sysname
anyway?

Thanks,
Rasmus




Acknowledgement sent to Rasmus <rasmus@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#25702; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 13 May 2019 21:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.